Commit 3a2ef021 authored by Alexandre Janniaux's avatar Alexandre Janniaux
Browse files

configure.ac: link CoreServices only on MacOSX

CoreServices is an iOS 12.0+ API so it cannot be linked when targetting
iOS 9.0. However it is still needed for MacOS and available since 10.0+
which is lesser than the target version.

See https://developer.apple.com/documentation/coreservices
parent e71e85a9
Pipeline #16445 failed with stage
in 104 minutes and 56 seconds
......@@ -199,7 +199,7 @@ case "${host_os}" in
AX_APPEND_FLAG([-Wl,-headerpad_max_install_names], [LDFLAGS])
VLC_ADD_LIBS([libvlc vlc],[-Wl,-undefined,dynamic_lookup,-framework,AppKit])
VLC_ADD_LIBS([libvlccore],[-Wl,-framework,CoreFoundation,-framework,CoreServices])
VLC_ADD_LIBS([libvlccore],[-Wl,-framework,CoreFoundation])
AC_EGREP_CPP(yes,
[#import <TargetConditionals.h>
......@@ -220,6 +220,8 @@ case "${host_os}" in
ac_cv_func_fork=no
],)
AS_IF([test "${HAVE_OSX}" = "1"],[VLC_ADD_LIBS([libvlccore],[-Wl,-framework,CoreServices])])
dnl
dnl Handle Mac OS X SDK flags
dnl
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment